﻿//
// Parago Media GmbH & Co. KG, Jürgen Bäurle (jbaurle@parago.de)
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using System;
using System.Collections.Generic;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace SP2010TemplateEngine.ApplicationsPages
{
	public partial class TemplateEngineTestPage : LayoutsPageBase
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			TemplateManager tm = new TemplateManager();
			tm.RegisterTag<SPListsTag>("splists");
			tm.RegisterFilter(typeof(SPFilters));

			Dictionary<string, object> values = new Dictionary<string, object>();
			values.Add("Lists", Web.Lists);

			string result = tm.Render(@"
				<p>All task lists for the current web '{{SP.Web.Title}}' and site '{{SP.Site.Url}}'
					<ul>
						{% for list in SP.Lists %}
							{% if list.Title contains 'Task' %} 
								<li><i>{{list.Title}}</i> with ID '{{Slist.ID|upcase}}' (<i>(Created: {{list.Created|sp_format_date}})</i></li>
							{% endif %}
						{% endfor %}
					</ul>
				</p>
				<p>All lists for current web '{{SP.Site.RootWeb.Title}}' created by the 'splists' tag
					<ul>{% splists '<li>{0}</li>' %}</ul>
				</p>
				", values);

			OutputLabel.Text = result;
		}
	}
}
