﻿//
// Parago Media GmbH & Co. KG, Jürgen Bäurle (jbaurle@parago.de)
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using System.Text;
using Microsoft.SharePoint;

namespace SP2010TemplateEngine
{
	internal class SPListItemDrop : SPDropBase
	{
		public SPListItem ListItem { get { return DropableObject as SPListItem; } }

		public SPListItemDrop()
		{
		}

		public SPListItemDrop(SPListItem listItem)
		{
			DropableObject = listItem;
		}

		public override object BeforeMethod(string method)
		{
			if(!string.IsNullOrEmpty(method))
			{
				StringBuilder sb = new StringBuilder();
				string name = method + "\n";

				for(int i = 0; i < name.Length; i++)
				{
					if(name[i] == '\n')
						continue;
					if(name[i] == '_')
					{
						if(name[i + 1] != '_')
							sb.Append(' ');
						else
						{
							i++;
							sb.Append('_');
						}
					}
					else
						sb.Append(name[i]);
				}

				name = sb.ToString();

				if(ListItem.Fields.ContainsField(name))
					return DropHelper.MayConvertToDrop(ListItem[name]);
			}

			return null;
		}
	}
}
