﻿//
// Parago Media GmbH & Co. KG, Jürgen Bäurle (jbaurle@parago.de)
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using System;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;

namespace SP2010TemplateEngine
{
	internal static class SPFilters
	{
		public static object SPFormatDate(object input)
		{
			DateTime dt = DateTime.MinValue;

			if(input is string)
			{
				try
				{
					dt = SPUtility.ParseDate(SPContext.Current.Web, input as string, SPDateFormat.DateOnly, false);
				}
				catch { }
			}
			else if(input is DateTime)
				dt = (DateTime)input;

			if(dt != DateTime.MinValue && dt != DateTime.MaxValue && SPContext.Current != null)
				return SPUtility.FormatDate(SPContext.Current.Web, (DateTime)input, SPDateFormat.DateOnly);

			return input;
		}
	}
}
