﻿//
// Parago Media GmbH & Co. KG, Jürgen Bäurle (jbaurle@parago.de)
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
//

using System.Collections.Generic;
using System.IO;
using DotLiquid;
using Microsoft.SharePoint;

namespace SP2010TemplateEngine
{
	internal class SPListsTag : Tag
	{
		string _format;

		public override void Initialize(string tagName, string markup, List<string> tokens)
		{
			base.Initialize(tagName, markup, tokens);

			if(string.IsNullOrEmpty(markup))
				_format = "{0}";
			else
				_format = markup.Trim().Trim("\"".ToCharArray()).Trim("'".ToCharArray());
		}

		public override void Render(Context context, StreamWriter result)
		{
			base.Render(context, result);

			if(SPContext.Current != null && !string.IsNullOrEmpty(_format))
			{
				foreach(SPList list in SPContext.Current.Web.Lists)
					result.Write(string.Format(_format, list.Title));
			}
		}
	}
}
